SNDFILE-SALVAGE(1)

NAME
sndfile-salvage - salvages the audio data from WAV or AIFF files which are bigger than four gigabytes

SYNOPSIS
sndfile-salvage <broken WAV/AIFF file> <fixed W64 file>

DESCRIPTION
File formats like WAV and AIFF contain a 32 bit unsigned value in the headers which indicates the size of the file's audio data chunk in bytes. Since this is a 32 bit unsigned value the largest value it can contain is 0xffffffff or just under 4 gigabytes. However, many programs allow much larger files to be written and libsndfile, by default will not read these overly large files. However this utility can salvage one of these overly large files and write the audio to a file format than does allow more than 4 gigabytes of audio data.

AUTHOR
This manual page was written by Erik de Castro Lopo <erikd@mega-nerd.com>.